Qt Cryptographic Architecture: QCA::BufferedComputation Class Reference

# QCA::BufferedComputation Class Reference
[QCA user API]

General superclass for buffered computation algorithms. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::BufferedComputation:

List of all members.

## Public Member Functions
virtual void | clear ()=0
virtual MemoryRegion | final ()=0
MemoryRegion | process (const MemoryRegion &a)
virtual void | update (const MemoryRegion &a)=0

## Detailed Description

General superclass for buffered computation algorithms.

A buffered computation is characterised by having the algorithm take data in an incremental way, then having the results delivered at the end. Conceptually, the algorithm has some internal state that is modified when you call update() and returned when you call final().

## Member Function Documentation

virtual void QCA::BufferedComputation::clear | ( |  | ) | `[pure virtual]`

Reset the internal state.

Implemented in QCA::Hash, and QCA::MessageAuthenticationCode.

virtual MemoryRegion QCA::BufferedComputation::final | ( |  | ) | `[pure virtual]`

Complete the algorithm and return the internal state.

Implemented in QCA::Hash, and QCA::MessageAuthenticationCode.

MemoryRegion QCA::BufferedComputation::process | ( | const MemoryRegion & | a | ) |

Perform an "all in one" update, returning the result.

This is appropriate if you have all the data in one array - just call process on that array, and you will get back the results of the computation.

Note:
  This will invalidate any previous computation using this object.

Parameters:

  | a | the data to process.

virtual void QCA::BufferedComputation::update | ( | const MemoryRegion & | a | ) | `[pure virtual]`

Update the internal state with a byte array.

Parameters:

  | a | the byte array of data that is to be used to update the internal state.

Implemented in QCA::Hash, and QCA::MessageAuthenticationCode.

The documentation for this class was generated from the following file:

- qca_core.h